[Demudi-commits] r917 - in bootsplash/trunk/debian: . patches po

Free Ekanayaka free-guest at costa.debian.org
Wed Sep 20 14:23:02 UTC 2006


Author: free-guest
Date: 2006-09-20 14:22:57 +0000 (Wed, 20 Sep 2006)
New Revision: 917

Added:
   bootsplash/trunk/debian/po/sv.po
Removed:
   bootsplash/trunk/debian/patches/splash.sh.dpatch
Modified:
   bootsplash/trunk/debian/bootsplash.init
   bootsplash/trunk/debian/changelog
   bootsplash/trunk/debian/patches/00list
   bootsplash/trunk/debian/po/fr.po
   bootsplash/trunk/debian/rules
Log:
releasing version 3.2-1

Modified: bootsplash/trunk/debian/bootsplash.init
===================================================================
--- bootsplash/trunk/debian/bootsplash.init	2006-09-20 11:50:03 UTC (rev 916)
+++ bootsplash/trunk/debian/bootsplash.init	2006-09-20 14:22:57 UTC (rev 917)
@@ -13,72 +13,114 @@
 # everything in here is GPL ;)
 # tcs at double-action.org
 
+SCRIPTNAME='/etc/init.d/bootsplash'
+
+# Only do this if the kernel has support
+[ -r /proc/splash ] || exit 0
+# Only do this if 'splash' exists
+SPLASHBIN=$(which splash) || exit 0
+# Only do this if 'fbresolution' exists
+FBRES=$(which fbresolution) || exit 0
+
 # source our config
-. /etc/default/bootsplash 2>/dev/null
+[ -r /etc/default/bootsplash ] && . /etc/default/bootsplash
 
+# source rcS configuration variables
+[ -r /etc/default/rcS ] && . /etc/default/rcS
+
+. /lib/lsb/init-functions
+
 # default settings
-test -z "${THEME}" && THEME="current"
-test -z "${BOOTSPLASH_TTYS}"  && BOOTSPLASH_TTYS=`seq 0 5`
+THEME="${THEME:-current}"
+BOOTSPLASH_TTYS="${BOOTSPLASH_TTYS:-$(seq 0 5)}"
 
 get_bootsplash_theme () {
 	# try to get bootsplash theme from kernel command line
-	for param in `grep "theme=" /proc/cmdline`; do
-		if [ "${param%=*}" == "theme" ]; then
-			THEME="${param#*=}"
+	CMDLINE=$(cat /proc/cmdline)
+
+	( echo $CMDLINE | grep -qe 'theme=.*' ) || return 1
+	
+	for param in $CMDLINE; do
+		if [ "${param%=*}" = "theme" ]; then
+			THEME="${param#theme=}"
+			return 0
 		fi
 	done
+	
+	return 1
 }
 
-SPLASH=$(which splash)
+set_bootsplash_image () {
 
+    TTY="$1"
+    
+    [ -z "$TTY" ] && return 1
+
+    # get console resolution
+    RESOLUTION=$($FBRES)
+    
+    # support for a different config per virtual terminal
+    if [ -r /etc/bootsplash/themes/${THEME}/config/vtsplash-${TTY}-${RESOLUTION}.cfg ]
+    then
+	$SPLASHBIN -s -u $TTY -n /etc/bootsplash/themes/${THEME}/config/vtsplash-${TTY}-${RESOLUTION}.cfg
+	return 0
+    elif [ -r  /etc/bootsplash/themes/${THEME}/config/bootsplash-${RESOLUTION}.cfg ]
+    then
+	$SPLASHBIN -s -u $TTY -n /etc/bootsplash/themes/${THEME}/config/bootsplash-${RESOLUTION}.cfg
+	return 0
+    fi
+
+    return 1
+}
+
 case "$1" in
-start)
-	# Only do this if the kernel has support
-	if [ -f /proc/splash ]
-	then
-		echo "Setting Console frame buffer images"
+    start)
+	log_action_begin_msg "Setting Console frame buffer images"
+	get_bootsplash_theme
+	log_action_cont_msg "using theme '$THEME'"
 
-		get_bootsplash_theme
-		echo "Using theme $THEME"
-		# get console resolution
-		RESOLUTION=$(/sbin/fbresolution)
+	# switch to a usable image on all consoles
+        for TTY in $(echo "${BOOTSPLASH_TTYS}" | sed -e 's# #\n#g')
+	do
+	    set_bootsplash_image $TTY
+        done
+		
+	log_action_end_msg 0
+    ;;
+    
+    stop)
+        # Stop doesn't really stop, it actually changes the image
+	# on vt1 back to the bootsplash image.
 
-		# switch to a usable image on all consoles
-		for TTY in `echo "${BOOTSPLASH_TTYS}" | sed -e 's# #\n#g'`
-		do
-			# support for a different config per virtual terminal
-			if [ -e /etc/bootsplash/themes/${THEME}/config/vtsplash-${TTY}-${RESOLUTION}.cfg ]
-			then
-				$SPLASH -s -u $TTY -n /etc/bootsplash/themes/${THEME}/config/vtsplash-${TTY}-${RESOLUTION}.cfg
-			else
-				$SPLASH -s -u $TTY -n /etc/bootsplash/themes/${THEME}/config/bootsplash-${RESOLUTION}.cfg
-			fi
-		done
-	fi
-;;
-stop)
-	CHVT=$(which chvt)
-	# Stop doesn't really stop, it actually changes the image
-	# on vt1 back to the bootsplash image.
-	# Only do this if the kernel has support
-	if [ -f /proc/splash ]
-	then
-		echo "Setting Console frame buffer images"
-		get_bootsplash_theme
-		# source bootsplash config
-		source /etc/bootsplash/themes/${THEME}/config/bootsplash-$(/sbin/fbresolution).cfg 2>/dev/null
-		# Put bootsplash image up
-		$SPLASH -s -u 0 /etc/bootsplash/themes/${THEME}/config/bootsplash-$(/sbin/fbresolution).cfg
-		# ensure "silent" image is displayed
-		echo "silent" > /proc/splash
-		# switch to vt1 (must be &'d otherwise script hangs)
-		${CHVT} 1 &
-		# print a nice message
-		# /sbin/fbtruetype ........
-	fi
-;;
-restart|force-reload)
-;;
+        CHVT_EXISTS='yes'
+	CHVT=$(which chvt) || CHVT_EXISTS='no'
+
+        log_action_begin_msg "Setting Console frame buffer images"
+	get_bootsplash_theme
+        log_action_cont_msg "using theme '$THEME'"
+
+        set_bootsplash_image 0
+
+        # ensure "silent" image is displayed
+        echo "silent" > /proc/splash
+
+        # switch to vt1 (must be &'d otherwise script hangs)
+        [ "$CHVT_EXISTS" = 'yes' ] && ${CHVT} 1 &
+
+        # print a nice message
+        # /sbin/fbtruetype ........
+
+        log_action_end_msg 0
+    ;;
+
+    restart|force-reload)
+	:
+    ;;
+
+    *)
+	echo "Usage: $SCRIPTNAME {start|stop|restart|force-restart}" >&2
+        exit 3
+    ;;
 esac
 
-exit 0
+:

Modified: bootsplash/trunk/debian/changelog
===================================================================
--- bootsplash/trunk/debian/changelog	2006-09-20 11:50:03 UTC (rev 916)
+++ bootsplash/trunk/debian/changelog	2006-09-20 14:22:57 UTC (rev 917)
@@ -1,3 +1,16 @@
+bootsplash (3.2-1) unstable; urgency=low
+
+  * New upstream release with updated splash script which works
+    with sysv-rc 2.86.ds1-20
+  * Bug fix: "bootsplash: system hangs at startup", thanks to Benjamin
+    Leipold (Closes: #375648).
+  * Bug fix: "bootsplash: Unclean source package due to a misplaced call
+    to debconf-updatepo", thanks to Thomas Huriaux (Closes: #382344).
+  * Bug fix: "bootsplash: [INTL:sv] Swedish debconf templates
+    translation", thanks to Daniel Nylander (Closes: #387519).
+
+ -- Free Ekanayaka <freee at debian.org>  Wed, 20 Sep 2006 14:50:22 +0200
+
 bootsplash (3.1-17) unstable; urgency=low
 
   * Updated French debconf template (closes: #377251)

Modified: bootsplash/trunk/debian/patches/00list
===================================================================
--- bootsplash/trunk/debian/patches/00list	2006-09-20 11:50:03 UTC (rev 916)
+++ bootsplash/trunk/debian/patches/00list	2006-09-20 14:22:57 UTC (rev 917)
@@ -1,6 +1,5 @@
 gcc-4.0
 includeprog
 bootanim
-splash.sh
 Makefile
 initramfs

Deleted: bootsplash/trunk/debian/patches/splash.sh.dpatch
===================================================================
--- bootsplash/trunk/debian/patches/splash.sh.dpatch	2006-09-20 11:50:03 UTC (rev 916)
+++ bootsplash/trunk/debian/patches/splash.sh.dpatch	2006-09-20 14:22:57 UTC (rev 917)
@@ -1,118 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## splash.sh.dpatch by  <free at mediastation>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
- at DPATCH@
-diff -urNad bootsplash-3.1~/Scripts/splash.sh bootsplash-3.1/Scripts/splash.sh
---- bootsplash-3.1~/Scripts/splash.sh	2006-02-05 20:59:56.000000000 -0500
-+++ bootsplash-3.1/Scripts/splash.sh	2006-02-05 21:00:14.009744840 -0500
-@@ -14,6 +14,8 @@
- # absolutely no warranty.
- #
- # written 2002-2003 Stefan Reinauer, <stepan at suse.de>
-+# Debianized 2004 by Sascha Schroeder, <schroeder.sascha at web.de>
-+# with modifications from Matthew A. Nicholson, <debian at matt-land.com>
- #
- # this script expects the following environment variables for an operable
- # progress bar:
-@@ -36,25 +38,27 @@
- _procsplash="`cat /proc/splash 2>/dev/null`"
- 
- THEME="No bootsplash theme selected"
--test -f /etc/sysconfig/bootsplash && . /etc/sysconfig/bootsplash
-+test -f /etc/default/bootsplash && . /etc/default/bootsplash
- test ! -d "/etc/bootsplash/themes/$THEME" && exit 0
- 
- # parse animations.cfg. This part should not be handled by the
- # splash binary.
- 
- if [ -f /etc/bootsplash/themes/$THEME/config/animations.cfg ]; then
--  COMMAND="`cat /etc/bootsplash/themes/$THEME/config/animations.cfg| grep "^$1"|cut -f2 -d\:`"
-+#  COMMAND="`cat /etc/bootsplash/themes/$THEME/config/animations.cfg | grep "^$1" | cut -f2 -d\:`"
-+  COMMAND="`cat /etc/bootsplash/themes/$THEME/config/animations.cfg | grep "^$1" | sed -e 's/^.*\://g;'`"
-   eval $COMMAND
- fi
- 
- # assertions
- test -r /proc/splash || exit 0
- test -z "$progress" -a -z "$num" && exit 0
--test -z "`echo $_procsplash|grep on`" && exit 0
--test "$1" == "bootnetwork stop" -o "$1" == "YaST" && exit 0 # no progress
-+test -z "`echo $_procsplash | grep on`" && exit 0
-+# This probably won't happen in Debian ...
-+#test "$1" == "bootnetwork stop" -o "$1" == "YaST" && exit 0 # no progress
- 
- # We chose verbose in grub
--test "`cat /proc/cmdline |grep \"splash=silent\"`" == "" && exit 0 
-+test "`cat /proc/cmdline | grep \"splash=silent\"`" == "" && exit 0 
- 
- if [ "$PREVLEVEL" == "3" -o "$PREVLEVEL" == "5" ] ; then
-   if [ "$RUNLEVEL"  = "3" -o "$RUNLEVEL" == "5" ] ; then
-@@ -64,12 +68,14 @@
- 
- # acquire data
- # 
--num=$(( $sscripts + 2 ))
-+#num=$(( $sscripts + 2 ))
-+num=$(( $sscripts ))
- _shutdown="no"
- _silent="no"
--test "`cat /proc/splash |grep silent`" && _silent="yes"
-+test "`cat /proc/splash | grep silent`" && _silent="yes"
- test "$RUNLEVEL" == "6" -o "$RUNLEVEL" == "0" && _shutdown="yes"
--test "$_shutdown" == "yes" && num=$(( $kscripts + 2 ))
-+#test "$_shutdown" == "yes" && num=$(( $kscripts + 2 ))
-+test "$_shutdown" == "yes" && num=$(( $kscripts ))
- 
- function box() { true; } # ignore box descriptions in the config file
- 
-@@ -81,15 +87,29 @@
- # F2 for verbose mode)
- #
- 
--if [ "$progress" == 1 -o "$1" == "splash start" ]; then
--  test "$_shutdown" == "yes" && ( echo "silent" >/proc/splash; chvt 1)
--  _boot="Booting"; test "$_shutdown" == "yes" && _boot="Shutting down"
-+if [ "$progress" == 5 -o "$1" == "splash start" ]; then
-+  if [ x$_shutdown == xyes ]; then
-+     echo "silent" > /proc/splash
-+	  chvt 1
-+	  _msg=$MSG_SHUTDOWN; # may be defined in /etc/default/bootsplash
-+	  [ -z "$_msg" ] && _msg="Shutting down the system... Press F2 for verbose mode"
-+  else
-+	  _msg=$MSG_BOOT; # may be defined in /etc/default/bootsplash
-+	  [ -z "$_msg" ] && _msg="Booting the system... Press F2 for verbose mode"
-+  fi
- 
-   if [ "$text_x" != "" -a "$text_y" != "" \
-        -a "$text_color" != "" -a "$text_size" != "" -a "$_silent" == "yes" ]; 
-   then
--    fbtruetype -x $text_x -y $text_y -t $text_color -s $text_size \
--  			"$_boot the system... Press F2 for verbose mode"
-+	case "$USE_STATIC_FBT" in
-+		[Yy]*)
-+			fbtruetype="fbtruetype.static"
-+			;;
-+		*)
-+			fbtruetype="fbtruetype"
-+			;;
-+	esac
-+	$fbtruetype -x $text_x -y $text_y -t $text_color -s $text_size "$_msg"
-   fi
- fi
- 
-@@ -99,5 +119,11 @@
- #
- 
- test -z "$progress_enable" && exit 0
--echo "show $(( 65534 * ( $progress + 1 ) / $num ))" > /proc/splash
-+#echo "show $(( 65534 * ( $progress + 1 ) / $num ))" > /proc/splash
-+if [ $num -eq 0 ]
-+then
-+   echo "show 65534" > /proc/splash
-+else
-+   echo "show $(( 65534 * ( $progress ) / $num ))" > /proc/splash
-+fi
- 

Modified: bootsplash/trunk/debian/po/fr.po
===================================================================
--- bootsplash/trunk/debian/po/fr.po	2006-09-20 11:50:03 UTC (rev 916)
+++ bootsplash/trunk/debian/po/fr.po	2006-09-20 14:22:57 UTC (rev 917)
@@ -3,9 +3,9 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: bootsplash 3.1-11\n"
-"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2006-06-28 06:57-0600\n"
-"PO-Revision-Date: 2006-07-03 23:47+0200\n"
+"Report-Msgid-Bugs-To: freee at debian.org\n"
+"POT-Creation-Date: 2006-08-08 00:56+0000\n"
+"PO-Revision-Date: 2006-08-10 18:50+0200\n"
 "Last-Translator: Florentin Duneau <f.baced at wanadoo.fr>\n"
 "Language-Team: French <debian-l10n-french at lists.debian.org>\n"
 "MIME-Version: 1.0\n"
@@ -15,13 +15,13 @@
 
 #. Type: boolean
 #. Description
-#: ../bootsplash.templates:3
+#: ../bootsplash.templates:1001
 msgid "Automatically configure your bootloader?"
 msgstr "Faut-il configurer le programme de démarrage ?"
 
 #. Type: boolean
 #. Description
-#: ../bootsplash.templates:3
+#: ../bootsplash.templates:1001
 msgid ""
 "In order to complete the bootsplash installation you need to configure your "
 "bootloader. If you wish this package can automatically modify the "
@@ -33,17 +33,17 @@
 
 #. Type: boolean
 #. Description
-#: ../bootsplash.templates:11
+#: ../bootsplash.templates:2001
 msgid "Update your initramfs images?"
 msgstr "Faut-il mettre à jour les images disque de démarrage ?"
 
 #. Type: boolean
 #. Description
-#: ../bootsplash.templates:11
+#: ../bootsplash.templates:2001
 msgid ""
-"To let the Linux kernel find your bootsplash them at boot you need to update "
-"your initramfs images. If you with this package to automatically run the "
-"appropriate script."
+"To let the Linux kernel find your bootsplash theme at boot you need to "
+"update your initramfs images. If you wish this package can automatically run "
+"the appropriate script."
 msgstr ""
 "Pour que le noyau Linux trouve votre thème « bootsplash » au démarrage, vous "
 "devez mettre à jour les images disque de démarrage (« initramfs »). Si vous "

Added: bootsplash/trunk/debian/po/sv.po
===================================================================
--- bootsplash/trunk/debian/po/sv.po	                        (rev 0)
+++ bootsplash/trunk/debian/po/sv.po	2006-09-20 14:22:57 UTC (rev 917)
@@ -0,0 +1,41 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL at ADDRESS>, YEAR.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: bootsplash 3.1-17\n"
+"Report-Msgid-Bugs-To: freee at debian.org\n"
+"POT-Creation-Date: 2006-08-08 00:56+0000\n"
+"PO-Revision-Date: 2006-09-14 21:48+0100\n"
+"Last-Translator: Daniel Nylander <po at danielnylander.se>\n"
+"Language-Team: Swedish <tp-sv at listor.tp-sv.se>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=iso-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../bootsplash.templates:1001
+msgid "Automatically configure your bootloader?"
+msgstr "Konfigurera din starthanterare automatiskt?"
+
+#. Type: boolean
+#. Description
+#: ../bootsplash.templates:1001
+msgid "In order to complete the bootsplash installation you need to configure your bootloader. If you wish this package can automatically modify the appropriate configuration files."
+msgstr "För att kunna färdigställa installationen av bootsplash behöver du konfigurera din starthanterare. Om du vill kan det här paketet automatiskt ändra de lämpliga konfigurationsfilerna."
+
+#. Type: boolean
+#. Description
+#: ../bootsplash.templates:2001
+msgid "Update your initramfs images?"
+msgstr "Uppdatera dina initramfs-avbilder?"
+
+#. Type: boolean
+#. Description
+#: ../bootsplash.templates:2001
+msgid "To let the Linux kernel find your bootsplash theme at boot you need to update your initramfs images. If you wish this package can automatically run the appropriate script."
+msgstr "För att låta Linux-kärnan hitta ditt bootsplash-tema vid uppstart behöver du uppdatera dina initramfs-avbilder. Om du vill kan det här paketet automatiskt kör de lämpliga skripten."
+

Modified: bootsplash/trunk/debian/rules
===================================================================
--- bootsplash/trunk/debian/rules	2006-09-20 11:50:03 UTC (rev 916)
+++ bootsplash/trunk/debian/rules	2006-09-20 14:22:57 UTC (rev 917)
@@ -48,8 +48,8 @@
 	# Add here commands to clean up after the build process.
 	-$(MAKE) -C Utilities clean
 
+	debconf-updatepo
 	dh_clean
-	debconf-updatepo
 
 install: build
 	dh_testdir




More information about the Demudi-commits mailing list